## DMAPContainerRecord DMAPContainerRecord |

## Functions

guint | dmap_container_record_get_id ()
void | dmap_container_record_add_entry ()
guint64 | dmap_container_record_get_entry_count ()
DMAPDb * | dmap_container_record_get_entries ()

## Types and Values

struct | DMAPContainerRecordIface

## Description

## Functions

### dmap_container_record_get_id ()

    guint
    dmap_container_record_get_id (DMAPContainerRecord *record);

#### Parameters

record | A DMAPContainerRecord. |

#### Returns

the ID for the given record.

### dmap_container_record_add_entry ()

    void
    dmap_container_record_add_entry (DMAPContainerRecord *container_record,
                                     DMAPRecord *record,
                                     gint id);

Add a record to the database. It is assumed that the record is placed directly into the database (not copied) and not freed.

#### Parameters

container_record | A DMAPContainerRecord. |
record | A DMAPRecord. |
id | The record's ID. |

### dmap_container_record_get_entry_count ()

    guint64
    dmap_container_record_get_entry_count (DMAPContainerRecord *record);

#### Parameters

record | A DMAPContainerRecord. |

#### Returns

the number of records in the container record.

### dmap_container_record_get_entries ()

    DMAPDb *
    dmap_container_record_get_entries (DMAPContainerRecord *record);

#### Parameters

record | A DMAPContainerRecord. |

#### Returns

A pointer to a DMAPDb containing the entries contained in record.

## Types and Values

### struct DMAPContainerRecordIface

    struct DMAPContainerRecordIface {
    	GTypeInterface parent;

    	  guint (*get_id) (DMAPContainerRecord * record);

    	void (*add_entry) (DMAPContainerRecord * container_record,
    			   DMAPRecord * record, gint id);

    	  guint64 (*get_entry_count) (DMAPContainerRecord * record);

    	DMAPDb *(*get_entries) (DMAPContainerRecord * record);
    };